org.eclipse.wst.jsdt.chromium.debug.core.model

## Class LineBreakpointAdapter.ForVirtualProject

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.LineBreakpointAdapter
  - - org.eclipse.wst.jsdt.chromium.debug.core.model.LineBreakpointAdapter.ForVirtualProject

Enclosing class:
  LineBreakpointAdapter

    public static class LineBreakpointAdapter.ForVirtualProject
    extends LineBreakpointAdapter

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.LineBreakpointAdapter

`LineBreakpointAdapter.ForVirtualProject`

### Constructor Summary

Constructors
Constructor and Description
`ForVirtualProject()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected java.lang.String` `getDebugModelId()`
`protected ITextEditor` `getEditor(IWorkbenchPart part)` Returns the editor being used to edit a PDA file, associated with the given part, or `null` if none.
`static ITextEditor` `getEditorStatic(IWorkbenchPart part)`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.LineBreakpointAdapter

`canToggleLineBreakpoints, canToggleMethodBreakpoints, canToggleWatchpoints, toggleLineBreakpoints, toggleMethodBreakpoints, toggleWatchpoints`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ForVirtualProject

    public ForVirtualProject()

### Method Detail

#### getEditor

    protected ITextEditor getEditor(IWorkbenchPart part)

Description copied from class: `LineBreakpointAdapter`
Returns the editor being used to edit a PDA file, associated with the given part, or `null` if none.

Specified by:
  `getEditor` in class `LineBreakpointAdapter`
Parameters:
  `part` - workbench part
Returns:
  the editor being used to edit a PDA file, associated with the given part, or `null` if none

#### getEditorStatic

    public static ITextEditor getEditorStatic(IWorkbenchPart part)

#### getDebugModelId

    protected java.lang.String getDebugModelId()

Specified by:
  `getDebugModelId` in class `LineBreakpointAdapter`